summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--engine/src/tools/pretty_tox.sh35
-rw-r--r--engine/tox.ini2
2 files changed, 36 insertions, 1 deletions
diff --git a/engine/src/tools/pretty_tox.sh b/engine/src/tools/pretty_tox.sh
new file mode 100644
index 0000000..387e4d8
--- /dev/null
+++ b/engine/src/tools/pretty_tox.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+#
+# -------------------------------------------------------------------------
+# Copyright (c) 2015-2017 AT&T Intellectual Property
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# -------------------------------------------------------------------------
+#
+
+
+set -o pipefail
+
+TESTRARGS=$1
+
+# --until-failure is not compatible with --subunit see:
+#
+# https://bugs.launchpad.net/testrepository/+bug/1411804
+#
+# this work around exists until that is addressed
+if [[ "$TESTARGS" =~ "until-failure" ]]; then
+ python setup.py testr --slowest --testr-args="$TESTRARGS" | subunit2junitxml --output-to=xunit-results.xml
+else
+ python setup.py testr --slowest --testr-args="--subunit $TESTRARGS" | subunit-1to2 | subunit2junitxml --no-passthrough --forward --output-to=xunit-results.xml | subunit-trace -f
+fi
diff --git a/engine/tox.ini b/engine/tox.ini
index 4c783eb..f36eff6 100644
--- a/engine/tox.ini
+++ b/engine/tox.ini
@@ -34,7 +34,7 @@ commands =
coverage erase
find . -type f -name "*.pyc" -delete
find . -type f -name ".coverage.*" -delete
- #{toxinidir}/tools/pretty_tox.sh "{posargs}"
+ {toxinidir}/src/tools/pretty_tox.sh "{posargs}"
coverage combine
coverage html -d cover
coverage xml -o cover/coverage.xml